
.miam-slider-input {
  .miam-slider-input__icon__row {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 16px;
    margin-bottom: 24px;
    z-index: 0;
    width: 100%;
  }

  .miam-slider-input__track__colored {
    align-items: center;
    background: var(--m-color-secondary);
    border-radius: 8px;
    box-shadow: inset 0px 2px 2px -1px rgba(14, 14, 44, 0.15);
    cursor: pointer;
    display: flex;
    height: 8px;
    position: absolute;
    z-index: 1;
  }

  .miam-slider-input__track {
    width: 100%;
    height: 8px;
    display: flex;
    align-items: center;
    cursor: pointer;
    background: #ecf1f4;
    box-shadow: inset 0px 2px 2px -1px rgba(14, 14, 44, 0.15);
    border-radius: 8px;
    position: relative;


    .miam-slider-input__track__drop {
      justify-content: center;
      display: flex;
      align-items: center;
      height: 105px;
      flex: 1;
      z-index: 1;
      .miam-slider-input__track__thumb {
        height: 16px;
        width: 16px;
        position: relative;
        background-color: var(--m-color-secondary);
        border-radius: var(--m-border-radius-circle);
        cursor: move;
        &::before {
          content: "";
          position: absolute;
          top: -4px;
          left: -4px;
          width: 24px;
          height: 24px;
          background-color: transparent;
          border-radius: var(--m-border-radius-circle);
          border: 2px solid var(--m-color-secondary);
        }
      }
    }

    span:first-of-type {
      justify-content: flex-start;
      .miam-slider-input__track__thumb {
        margin-left: 24px;
      }     
    }
    span:last-of-type {
      justify-content: flex-end;
      .miam-slider-input__track__thumb {
        margin-right: 24px;
      }      
    }

    .miam-slider-input__track__progress {
      background-color: var(--m-color-secondary);
      border-radius: 8px 0px 0px 8px;
      content: "";
      height: 10px;
      left: -1px;
      position: absolute;
      top: -1px;
    }
  }

  .miam-slider-input__label__row {
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    font-weight: bold;
    color: #acb0b9;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    z-index: 0;
    margin-top: 16px;
    z-index: 0;
    text-transform: capitalize;

    span {
      width: 64px;
      text-align: center;
      &.selected {
        color: #4a4a68;
        font-weight: bold;
      }
    }
  }
}

.miam-slider-input__track__preview {
  height: 16px;
  width: 16px;
  background-color: var(--m-color-secondary);
  border-radius: var(--m-border-radius-circle);
  position: relative;
  cursor: move;

  &::before {
    content: "";
    position: absolute;
    top: -4px;
    left: -4px;
    width: 24px;
    height: 24px;
    background-color: transparent;
    border-radius: var(--m-border-radius-circle);
    border: 2px solid var(--m-color-secondary);
  }
}

.miam-slider-input__track__placeholder{
  opacity: 0;
}

